<div class="container">
  <mat-toolbar>
    <button mat-icon-button>
      <mat-icon>menu</mat-icon>
    </button>
    <span>Image gallery</span>
  </mat-toolbar>

  <h1>Images</h1>

  <div class="actions">
    <a href="#" mat-raised-button color="primary">Create image</a>
  </div>

  <div class="images">
    <mat-card class="card-container">
      <mat-card-title>{{ image.name }}</mat-card-title>
      <mat-card-subtitle class="subtitle">
        <span>Likes: {{ image.likes }}</span>
        <span>Created: {{ image.createdAt }}</span>
      </mat-card-subtitle>

      <div class="image">
        <img [src]="image.imageUrl" alt="Image">
      </div>

      <mat-card-actions>
        <button mat-button>Like</button>
        <button mat-button color="warn">Delete</button>
      </mat-card-actions>
    </mat-card>

    <mat-card class="card-container">
      <mat-card-title>{{ image.name }}</mat-card-title>
      <mat-card-subtitle class="subtitle">
        <span>Likes: {{ image.likes }}</span>
        <span>Created: {{ image.createdAt }}</span>
      </mat-card-subtitle>

      <div class="image">
        <img [src]="image.imageUrl" alt="Image">
      </div>

      <mat-card-actions>
        <button mat-button>Like</button>
        <button mat-button color="warn">Delete</button>
      </mat-card-actions>
    </mat-card>
  </div>

  <main class="content">
    <router-outlet></router-outlet>
  </main>
</div>
